<div class="form">

    <?php
    $form = $this->beginWidget('GxActiveForm', array(
        'id' => 'dados_acesso-form',
        'enableAjaxValidation' => false,
        'focus' => array($model, 'DAC_NOME'),
        'htmlOptions' => array('class'=>'col-xs-12 form-cadastro','enctype' => 'multipart/form-data')
    ));
    ?>
<?php echo FaHtml::getFormInfo($form, $model); ?>
<div class="no-border border-box col-xs-12 col-sm-6 col-md-5 col-lg-4">
    <input type="hidden" name="page" value="dados_acesso" />
    <div class="col-xs-12 col-sm-12 col-md-12 form-group">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_TIPO'); ?>
            <?php echo $form->dropDownList($model, 'DAC_TIPO', DadosAcesso::$tipo_registro, array('prompt' => 'Selecione')); ?>
        </div>
        <?php echo $form->error($model, 'DAC_TIPO'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_NOME', array('id' => 'label_nome')); ?>
            <?php echo $form->textField($model, 'DAC_NOME'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_NOME'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_SETOR'); ?>
            <?php echo $form->textField($model, 'DAC_SETOR'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_SETOR'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_TELEFONE'); ?>
            <?php echo $form->textField($model, 'DAC_TELEFONE', ['class'=>'mask_telefone']); ?>
        </div>
        <?php echo $form->error($model, 'DAC_TELEFONE'); ?>
        <?php
            $cliente = Clientes::model()->find('CLI_IDCLIENTE=:id_cliente', array(':id_cliente' => $model->DAC_IDCLIENTE));
            if($cliente){
                echo "Telefones disponíveis: ";
                echo '<a class="lista_telefones" href="#">'.$cliente->CLI_FONE1.'</a> ';
                echo '<a class="lista_telefones" href="#">'.$cliente->CLI_FONE2.'</a> ';
                echo '<a class="lista_telefones" href="#">'.$cliente->CLI_FONE3.'</a> ';     
            }
        ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_EMAIL'); ?>
            <?php echo $form->emailField($model, 'DAC_EMAIL'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_EMAIL'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_LINK'); ?>
            <?php echo $form->textField($model, 'DAC_LINK'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_LINK'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_USUARIO'); ?>
            <?php echo $form->textField($model, 'DAC_USUARIO'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_USUARIO'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group" style="display:none;">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_SENHA'); ?>
            <?php echo $form->textField($model, 'DAC_SENHA'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_SENHA'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group">
        <div class="input-group">
            <?php echo $form->labelEx($model, 'DAC_OBSERVACAO'); ?>
            <?php echo $form->textArea($model, 'DAC_OBSERVACAO'); ?>
        </div>
        <?php echo $form->error($model, 'DAC_OBSERVACAO'); ?>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 form-group">
        <div class="row">
            <?= $form->label($model, 'DAC_STATUS', array('required' => true)); ?>
            <?php $situacao = array(1 => 'Ativo', 0 => 'Inativo'); ?>
            <?= $form->dropDownList($model, 'DAC_STATUS', $situacao, array('maxlength' => 1)); ?>
        </div>
    </div>
</div>

<div class="clear"></div>
    <?php
    echo FaHtml::saveButton();
    $this->endWidget();
    ?>
</div>

<script>
    $(document).ready(function () { 
        $("#DadosAcesso_DAC_TIPO").change(function() {
            var tipo_registro = $('#DadosAcesso_DAC_TIPO').find(":selected").val();

            var nome = $("label[for='DadosAcesso_DAC_NOME']");
            nome.children('.required').remove();    
            var link = $("label[for='DadosAcesso_DAC_LINK']");
            link.children('.required').remove();
            var usuario = $("label[for='DadosAcesso_DAC_USUARIO']");
            usuario.children('.required').remove();
            var senha = $("label[for='DadosAcesso_DAC_SENHA']");
            senha.children('.required').remove();
            var observacao = $("label[for='DadosAcesso_DAC_OBSERVACAO']");
            observacao.children('.required').remove();
            var telefone = $("label[for='DadosAcesso_DAC_TELEFONE']");
            telefone.children('.required').remove();
            $('#DadosAcesso_DAC_LINK').parent().parent().hide();
            $('#DadosAcesso_DAC_USUARIO').parent().parent().hide();
            $('#DadosAcesso_DAC_SENHA').parent().parent().hide();
            $('#DadosAcesso_DAC_SETOR').parent().parent().hide();
            $('#DadosAcesso_DAC_TELEFONE').parent().parent().hide();
            $('#DadosAcesso_DAC_EMAIL').parent().parent().hide();
            $('#DadosAcesso_DAC_NOME').parent().parent().hide();

            if(tipo_registro == 1) {
                $("#label_nome").text("Identificação do Acesso");
                var nome = $("label[for='DadosAcesso_DAC_NOME']");
                nome.append(" <span class='required'> *</span>");                
                var usuario = $("label[for='DadosAcesso_DAC_USUARIO']");
                usuario.append(" <span class='required'> *</span>");
                var senha = $("label[for='DadosAcesso_DAC_SENHA']");
                senha.append(" <span class='required'> *</span>");
                $('#DadosAcesso_DAC_NOME').parent().parent().fadeIn();
                $('#DadosAcesso_DAC_LINK').parent().parent().fadeIn();
                $('#DadosAcesso_DAC_USUARIO').parent().parent().fadeIn();
                $('#DadosAcesso_DAC_SENHA').parent().parent().fadeIn();
            } else if (tipo_registro == 2) {
                var observacao = $("label[for='DadosAcesso_DAC_OBSERVACAO']");
                observacao.append(" <span class='required'> *</span>");
            } else if (tipo_registro == 3) {
                $("#label_nome").text("Nome do Contato");
                var nome = $("label[for='DadosAcesso_DAC_NOME']");
                nome.append(" <span class='required'> *</span>");   
                var telefone = $("label[for='DadosAcesso_DAC_TELEFONE']");
                telefone.append(" <span class='required'> *</span>");   
                $('#DadosAcesso_DAC_NOME').parent().parent().fadeIn();         
                $('#DadosAcesso_DAC_SETOR').parent().parent().fadeIn();
                $('#DadosAcesso_DAC_TELEFONE').parent().parent().fadeIn();
                $('#DadosAcesso_DAC_EMAIL').parent().parent().fadeIn();    
            }
        }).change();

        $(".lista_telefones").click(function(event) {
            event.preventDefault();
            var telefone = $(this).html();
            $('#DadosAcesso_DAC_TELEFONE').val(telefone);
        });

    });
</script>
